cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/backups-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"enabled": true,
"frequency_minutes": 60,
"retention_days": 7
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get the backup configuration for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
backups-config
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/backups-config \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"enabled": true,
"frequency_minutes": 60,
"retention_days": 7
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the cluster that this backup configuration belongs to.
Response
A successful response.

